Search for leads in a project
curl --request GET \
--url https://app.planpoint.io/api/leads \
--header 'Authorization: <api-key>'import requests
url = "https://app.planpoint.io/api/leads"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.planpoint.io/api/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"unit": "<string>",
"message": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"questions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]Leads
Get Leads
Fetch leads
GET
/
leads
Search for leads in a project
Authorizations
Query Parameters
Use a project ID to search for leads
Example:
"objectId"
Response
Array of leads found
First name of the lead
Last name of the lead
Email address of the lead
Phone number of the lead
Unit associated with the lead
Message provided by the lead
Source of the lead
Timestamp when the lead was created
List of questions and their corresponding answers
Show child attributes
Show child attributes
List of custom fields and their values
Show child attributes
Show child attributes
⌘I